package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.Program;
import com.jasamedika.medifirst2000.vo.ProgramVO;

public interface ProgramService <T> extends BaseVoService<Program, ProgramVO, String> {

	Map<String, Object> addProgram(ProgramVO vo);

	Map<String, Object> updateProgram(ProgramVO vo);

	Map<String, Object> findAllProgram();
	
    Map<String,Object> findOneProgram();

}
